$(function() {

  //アコーディオンメニュー
  $('nav p,nav p a[href^=#]').on('click', function() {
    $(this).next('ul').slideToggle();
    $(this).children('span').toggleClass('open');
    $('.sub-menu').not($(this).next('.sub-menu')).slideUp();
    $('nav p').children('span').not($(this).children('span')).removeClass('open');
  });

  //小画面時にスライド内リンクを押した場合、一度閉じる
  $('#leftcolumn a').on('click', function() {
    if (window.innerWidth <= 768) {
      $('#open').click();
    }
  });

  //小画面時にメニューを閉じてからリサイズするとメニューが表示されないのを防ぐ
  $(window).resize(function() {
    var menu = $('#leftcolumn');
    var w = window.innerWidth ? window.innerWidth : $(window).width();
    if (w > 768 && menu.is(':hidden')) {
      menu.attr('style', '');
    }
  });

  //メニューを開くボタンの動作
  $('#open').click(function() {
    $('#leftcolumn').toggleClass('open');
    $('#open-icon').toggleClass('close');
    return false;
  });

});
